diff -ru scripts-orig/cmd scripts-patched/cmd
--- scripts-orig/cmd	2005-01-18 22:13:55.000000000 +0100
+++ scripts-patched/cmd	2005-01-18 22:32:02.000000000 +0100
@@ -9,7 +9,7 @@
 my $i;
 
 if( $ARGV[0] eq "yes" ){
-    exec ("dcop $PORT Konversation error \"Requested command is not executed!\" ");
+    exec 'dcop', $PORT, 'Konversation', 'error', 'Requested command is not executed!';
 }
 
 $ARG_MESSAGE = `@ARGV`;
@@ -18,9 +18,9 @@
     chomp $entry;
     $i=1;
     $entry =~ s/^\//\/\//;
-    system ("dcop $PORT Konversation say $SERVER \"$TARGET\" \"$entry\" ");
+    system 'dcop', $PORT, 'Konversation', 'say', $SERVER, $TARGET, $entry;
 }
 
 unless($i) {
-    exec("dcop $PORT Konversation error \"Command @ARGV doesn't exist\!\"");
+    exec 'dcop', $PORT, 'Konversation', 'error', 'Command @ARGV doesn't exist!';
 }
diff -ru scripts-orig/colorizer scripts-patched/colorizer
--- scripts-orig/colorizer	2005-01-18 22:13:55.000000000 +0100
+++ scripts-patched/colorizer	2005-01-18 22:28:58.000000000 +0100
@@ -12,7 +12,7 @@
 my $i = 0;
 
 if(!@ARGV){
-    exec ("dcop $port Konversation error \"Colorizer script needs a message argument!\" ");
+    exec 'dcop', $port, 'Konversation', 'error', 'Colorizer script needs a message argument!';
 }
 
 my $input = join " ", @ARGV;
@@ -26,5 +26,5 @@
 @chars = map { "%C" . ((($i++)%15)+1) . $_ } @chars;
 $arguments = join "", @chars;
 
-system ("dcop $PORT Konversation say $SERVER \"$TARGET\" \"$command$arguments\" ");
+system 'dcop', $PORT, 'Konversation', 'say', $SERVER, $TARGET, $command . $arguments;
 
diff -ru scripts-orig/fortune scripts-patched/fortune
--- scripts-orig/fortune	2005-01-18 22:13:55.000000000 +0100
+++ scripts-patched/fortune	2005-01-18 22:19:13.000000000 +0100
@@ -51,4 +51,4 @@
     }
 }
 close(FORTUNES);
-exec ("dcop $PORT Konversation say $SERVER \"$TARGET\" \"$MESSAGE\" ");
+exec 'dcop', $PORT, 'Konversation', 'say', $SERVER, $TARGET, $MESSAGE;
diff -ru scripts-orig/media scripts-patched/media
--- scripts-orig/media	2005-01-18 22:13:55.000000000 +0100
+++ scripts-patched/media	2005-01-18 22:24:33.000000000 +0100
@@ -91,7 +91,7 @@
     if(!is_empty($title))
     {
 	my $string=pretty_print($title,$artist,$album);
-	exec("dcop $port Konversation say $server \"$target\" \"$string\"");
+	exec 'dcop', $port, 'Konversation', 'say', $server, $target, $string;
     }
     else
     {
@@ -106,7 +106,7 @@
 
     if(!is_empty($string))
     {
-	exec("dcop $port Konversation say $server \"$target\" \"/me is playing $string\"");
+        exec 'dcop', $port, 'Konversation', 'say', $server, $target, "/me is playing $string";
     }
     else
     {
@@ -121,7 +121,7 @@
     
     if(!is_empty($string))
     {
-	exec("dcop $port Konversation say $server \"$target\" \"/me is playing $string\"");
+	exec 'dcop', $port, 'Konversation', 'say', $server, $target, "/me is playing $string";
     }
     else
     {
@@ -136,7 +136,7 @@
 
     if(!is_empty($string))
     {
-        exec("dcop $port Konversation say $server \"$target\" \"/me is playing $string\"");
+	exec 'dcop', $port, 'Konversation', 'say', $server, $target, "/me is playing $string";
     }
     else
     {
@@ -146,10 +146,10 @@
 
 if(!$amarok && !$juk && !$noatun)
 {
-    exec("dcop $port Konversation error \"No supported media player is running\"");
+	exec 'dcop', $port, 'Konversation', 'error', 'No supported media player is running';
 }
 
 if($error)
 {
-    exec("dcop $port Konversation error \"Nothing is playing in $error\"");
+	exec 'dcop', $port, 'Konversation', 'error', "Nothing is playing in $error";
 }
diff -ru scripts-orig/uptime scripts-patched/uptime
--- scripts-orig/uptime	2005-01-18 22:13:55.000000000 +0100
+++ scripts-patched/uptime	2005-01-18 22:19:13.000000000 +0100
@@ -21,7 +21,7 @@
 } else {
 	$UPTIME = `cat /proc/uptime`;
 	if (not $UPTIME) {
-		exec ("dcop $PORT Konversation info \"Could not read uptime. Check that /proc/uptime exists.\"");
+		exec 'dcop', $PORT, 'Konversation', 'info', 'Could not read uptime. Check that /proc/uptime exists.';
 	}
 	@uparray = split(/\./, $UPTIME);
     $seconds = $uparray[0];
@@ -42,15 +42,15 @@
 	$minutes = int($seconds/60);
 }
 if( $days && $hours ) {
-	exec ("dcop $PORT Konversation say $SERVER \"$TARGET\" \"Uptime: $days days, $hours hours and $minutes minutes\"");
+	exec 'dcop', $PORT, 'Konversation', 'say', $SERVER, $TARGET, "Uptime: $days days, $hours hours and $minutes minutes";
 }
 elsif( !$days && $hours ) {
-	exec ("dcop $PORT Konversation say $SERVER \"$TARGET\" \"Uptime: $hours hours and $minutes minutes\"");
+	exec 'dcop', $PORT, 'Konversation', 'say', $SERVER, $TARGET, "Uptime: $hours hours and $minutes minutes";
 }
 elsif( $days && !$hours ) {
-	exec ("dcop $PORT Konversation say $SERVER \"$TARGET\" \"Uptime: $days days and $minutes minutes\"");
+	exec 'dcop', $PORT, 'Konversation', 'say', $SERVER, $TARGET, "Uptime: $days days and $minutes minutes";
 }
 elsif( !$days && !$hours ) {
-	exec ("dcop $PORT Konversation say $SERVER \"$TARGET\" \"Uptime: $minutes minutes\"");
+	exec 'dcop', $PORT, 'Konversation', 'say', $SERVER, $TARGET, "Uptime: $minutes minutes";
 }
 
diff -ru scripts-orig/weather scripts-patched/weather
--- scripts-orig/weather	2005-01-18 22:13:55.000000000 +0100
+++ scripts-patched/weather	2005-01-18 22:19:13.000000000 +0100
@@ -10,7 +10,7 @@
 @stations = `dcop KWeatherService WeatherService listStations`;
 
 if( ! @stations ) {
-  exec ("dcop $PORT Konversation error \"KWeather is not installed or not running!\" ");
+  exec 'dcop', $PORT, 'Konversation', 'error', 'KWeather is not installed or not running!';
 } 
 
 if( $OPTION && $stations[$OPTION-1] ) {
@@ -58,6 +58,6 @@
   $MESSAGE = "Current Weather for %B$city%B : Temperature: %B$temperature%B, Pressure: %B$pressure%B, Wind: %B$wind%B";
   }
   
-  system ("dcop $PORT Konversation say $SERVER \"$TARGET\" \"$MESSAGE\" ");
+  system 'dcop', $PORT, 'Konversation', 'say', $SERVER, $TARGET, $MESSAGE;
   
 }
